%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define         gst_minver      0.10.15
%define         gstpy_minver    0.10.0
%define         pygtk_minver    2.8.0

%{!?gstreamer:  %define         gstreamer       gstreamer0.10}

Name:           codeina
Version:        0.10.2
Release:        1
Summary:        Codeina - Codec Installation Application

Group:          Applications/Internet
License:        GPL
URL:            http://www.fluendo.com/
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

Requires:       python >= 2.5
Requires:       %{gstreamer}-python >= %{gstpy_minver}
Requires:       pygtk2 >= %{pygtk_minver}
Requires:       pyxdg
Requires:       gnome-python-gtkmozembed
Requires:       python-OpenSSL
Requires:       python-notify
Requires:       python-twisted-web
Requires:       lsb-release

BuildRequires:  python-yaml
BuildRequires:  python-pyxml
BuildRequires:  pyxdg

# sigh, libtool
BuildRequires:  gcc-c++

BuildRequires:  intltool
BuildRequires:  gettext
BuildRequires:  desktop-file-utils

BuildArch:      noarch

%description
Codeina installs codecs from the Fluendo webshop for GStreamer.

%prep
%setup -q

%build
%configure

make

%install
rm -rf $RPM_BUILD_ROOT

# use DESTDIR so compiled python files get tagged correctly with their
# final location
make DESTDIR=$RPM_BUILD_ROOT install

# desktop file
# desktop-file-install \
#   --vendor fedora \
#   --mode 644 \
#   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
#   --add-category X-Fedora \
#   --delete-original \
#   $RPM_BUILD_ROOT%{_datadir}/applications/codeina.desktop

%find_lang %{name} 

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog COPYING README AUTHORS
%{_bindir}/%{name}
%{_bindir}/%{name}.bin
%{python_sitelib}/codeina
%{_datadir}/codeina
%{_datadir}/autostart
%{_datadir}/applications
%{_sysconfdir}/codeina
%{_sysconfdir}/xdg

%changelog
* Sun Aug 26 2007 Thomas Vander Stichele <thomas at apestaart dot org>
- make noarch

* Sun Mar 04 2007 Thomas Vander Stichele <thomas at apestaart dot org>
- First package
